/* 
 *	The HT Editor
 *	htcfg.h
 *
 *	Copyright (C) 1999,2000 Stefan Weyergraf (stefan@weyergraf.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *	published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __HTCFG_H__
#define __HTCFG_H__

#include "tools.h"

int save_config();
int load_config();

/*
 *	CLASS cfg_object
 */

class cfg_object: public ht_data {
public:
	dword obj_id;
	object *obj;

	cfg_object(object *obj, dword obj_id);
	~cfg_object();
};

/*
 *	CLASS cfg_objects
 */

class cfg_objects: public object {
protected:
	ht_collection *objs;
public:
	cfg_objects();
	~cfg_objects();
/* new */
	void register_obj(object *obj, dword obj_id);
	object *find_obj(dword obj_id);
};

extern cfg_objects *cfg_objs;

#endif /* !__HTCFG_H__ */
